package cn.zhentao.dto;

import lombok.Data;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import java.math.BigDecimal;

@Data
public class OrderRequest {
    @NotNull(message = "appId不能为空")
    private Integer appId;

    @NotBlank(message = "sign不能为空")
    private String sign;

    @NotBlank(message = "reqTime不能为空")
    private String reqTime;

    @NotNull(message = "goodsId不能为空")
    private Integer goodsId;

    @NotNull(message = "amount不能为空")
    private Integer amount;

    @NotNull(message = "price不能为空")
    private BigDecimal price;

    @NotBlank(message = "mobile不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;

    @NotBlank(message = "nowDate不能为空")
    private String nowDate;
} 